*python_check_missing.sps.
DATA LIST LIST (',') /numVar (f) stringVar (a4).
BEGIN DATA
0,a
1,b
,c
3,,
END DATA.
MISSING VALUES stringVar (' ') numVar(0).

BEGIN PROGRAM.
import spssdata
data=spssdata.Spssdata(convertUserMissing=False)
# Compile and store missing value information for the variables
# in the current cursor. 
data.makemvchecker()
# Loop through the cases in the active dataset.
for i,row in enumerate(data):
    # Check if the current case (row) has missing values.
    if data.hasmissing(row):
       print "Case: " + str(i+1)
       # Loop through the variables in the current cursor.
       for name in data.varnames():
           varvalue = row[data.getvarindex(name)]
           if varvalue==None:
              print "\tThe value for variable " + str(name) + \
                    " is system-missing."
           elif data.ismissing(name,varvalue):
              print "\tThe value for variable " + str(name) + \
                    " is user-missing."
data.CClose()
END PROGRAM.
